org.apache.felix.scrplugin

## Interface Source

    public interface Source

Description of a source to be parsed.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClassName()` The main class name.
`File` `getFile()` The file containing the class.

### Method Detail

#### getClassName

    String getClassName()

The main class name.

Returns:
  The main class name.

#### getFile

    File getFile()

The file containing the class.

Returns:
  The file containing the class.